# Functions & Events

## Get input value <a href="#get-input-value" id="get-input-value"></a>

```lua
OpenInput(label, 'FMMC_KEY_TIP10') string, string -> return string or '' or nil
```

## Create wait with spinner <a href="#create-wait-with-spinner" id="create-wait-with-spinner"></a>

```lua
DrawBusySpinner(label, second) string, int -> return true
```

## Custom hack minigame <a href="#custom-hack-minigame" id="custom-hack-minigame"></a>

```lua
Minigame(password length, live) int, int -> return true or false
```

## Get ped mugshot <a href="#get-ped-mugshot" id="get-ped-mugshot"></a>

```lua
GetPedMugshot(ped, transparent) ped, boolean -> return mugshot, mugshotTxdString
```

## Help notification <a href="#help-notification" id="help-notification"></a>

```lua
ShowHelpNotification(label) string (need every tick)
```

## Notification <a href="#notification" id="notification"></a>

```lua
ShowAdvancedNotification(title, subject, msg, textureDict, textureName, icon) -> return message id
```

## Notification event <a href="#notification-event" id="notification-event"></a>

```lua
TriggerEvent('hackermod:client:notification', same as above) or TriggerClientEvent('hackermod:client:notification', source, same as above) 
```

## Enable/Disable object <a href="#enable-disable-object" id="enable-disable-object"></a>

```lua
TriggerServerEvent('hackermod:server:sync', 'interactableObject', {type, GetEntityCoords(entity)}) -> Disable/Enable object for other players
```

## Add cash <a href="#add-cash" id="add-cash"></a>

```lua
TriggerServerEvent('hackermod:server:cash', moneyCount) -> Give money to player bank account
```

## Add botnet <a href="#add-botnet" id="add-botnet"></a>

```lua
TriggerServerEvent('hackermod:server:addBotnet', count) -> Add botnet PC to player data
```

## Check action <a href="#check-action" id="check-action"></a>

```lua
triggerCallback('hackermod:server:checkAction', function(status) end, type) -> Check action cooldown and required botnet count
```

## Stay on phone animation <a href="#stay-on-phone-animation" id="stay-on-phone-animation"></a>

```lua
keepAnimTask = true or false (Stay on phone animation)
```

## Sound native <a href="#sound-native" id="sound-native"></a>

```lua
PlaySoundFrontend(-1, audioName, audioRef, true) (Sound effects native) (https://gist.github.com/Sa
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainmad.com/resources/hacker-v-become-hacker/functions-and-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
